Copyright: Copyright ® 1993-1996 Einar Knardahl


Contents
EkBackup™ v3.12

by Einar Knardahl

  How to register

How to...

Special examples and range of uses

Command line parameters

Limitations of EkBackup

Features of EkBackup

Requirements

General info

Bug Report

What's new

Where can you find future releases of EkBackup?

About the author

About EKBDEXIN.EXE

Disclaimers


How to...

  How to register

How to configure

How to backup

How to restore an archive

How to use the Multiple files option

How to use the ZIP-doctor

How to make a self extracting ZIP-file (EXE)

How to speed up EkBackup

How to register (Norway only)


Features of EkBacup
Features of EkBackup:

EkBackup 3.12 is a MS Windows front end for PKZIP archives. It can also decompress LHA and ARJ files.

It's features makes it to a complete backup program.

Some features of EkBackup:

-backup whole directories, single files, or files spread around the disk

-the archive can be updated, so that only changed or new files are compressed

-restoring whole or parts of an archive

-view compressed files within an archive, using different viewers for different file-types

-restores ZIP, ARJ and LHA files

-automatic creation of program icons in Program Manager

-automatic creation of subdirectories during restore-process

-run simple executable files within ZIP-files

-convert ZIP files into self extracting EXE files, and vice versa

-fix damaged ZIP archives with ZIPdoctor

-the archive can easily be edited

-EkBackup file manager

-add ZIP-comment, shown every time a ZIP file is accessed

-system information with a Pentium bug check

-file finder

-ANSI text editor


What's new
What's new:

EkBackup 3.1

-automatic creation of program icons in Program Manager

-automatic creation of subdirectories during restore-process

-command line parameters

-file-selection improved

-improved file-attribute setting

-bug fixes........

EkBackup 3.0

-ZIPdoctor, ability to fix damaged ZIP archives

-ZIP <=> EXE, convert a ZIP file to EXE, or reverse

-add ZIP-comments, ZIP-comment is displayed every time the file is accessed. E.g. BBS-information or program information

-ANSI text editor, not extremely powerful but sufficient to create ZIP-comments

-shows free disk-space

-automatic suggestion of ZIP-filename, if not chosen

-ability to define file-viewers for yet more different file-formats

-ability to recurse subdirectories using the More files option

-Ctrl-R rereads current drives

-overwrite existing files option added to the restore ZIP -panel

-set file-attributes in FileManager

-run programs from FileManager

-run simple EXE and COM files within ZIP-archives

-FileManager shows size of selected files

-progress bar during file-copying/moving

-bug fixes........

I have been told that I should include a "what's new" list, so it starts from here:

EkBackup 2.5 (Generally)

-EkBackup FileManager

-file search

-more options during backup/restore process

EkBackup 2.0 (Generally)

-support for ARJ and LHA archives added

-enter DOS shell from EkBackup

-"save filelist" using multiple files option

EkBackup 1.0 (Generally)

-generally ZIP archive support


Requirements of EkBackup
Requirements of EkBackup:

EkBackup can be placed anywhere on the disk, but requires:

-minimum 386-sx processor

-Microsoft Windows 3.1

-food processor : )

EKB31.EXE should contain the following files:

ekback-f.rpf	ekbdrive.dll

ekback-w.rpf	file_id.diz

ekbackup.exe	test.sav

ekbackup.hlp	threed.vbx

ekbdexin.exe	setup.exe

files.lst

Besides these files EkBackup requires:

-VBRUN300.DLL

-PKZIP.EXE

-PKUNZIP.EXE

If you don't have them, they are found on any BBS

EkBackup is programmed to support:

-compression and decompression with PKZIP/PKUNZIP 2.04g

-decompression with LHA.EXE version 2.13

-decompression with ARJ.EXE version 2.30

Since EkBackup is using these files frequently, these files must be accessible. If EkBackup cannot find these programs, it will not be able to use the required functions in the programs. On the other hand it is not necessary to have the files ARJ.EXE and LHA.EXE on the disk if you do not have any archive files in those formats.


Command line parameters
Command line parameters:

EkBackup.exe   [/NoLogo] / [filename.xxx]

/NoLogo	no startup-logo displayed. (Registered version only)

or

filename.zip	a ZIP, LHA or ARJ archive to be automaticly focused at startup.

When a archivename is added, EkBackup automaticly starts without showing the logo. In other words: it is not necessary to use both the /NoLogo option together with a archivename

Example:

EKBACKUP.EXE /NOLOGO	EkBackup will start without showing the logo

EKBACKUP.EXE TEST.ZIP	EkBackup will start without showing the logo, and focus on the TEST.ZIP archive

To make EkBackup always start without showing the logo:

1. Highlight the EkBackup icon in Program manager

2. Press [Alt] [Enter] to show the properties window for the EkBackup icon

3. Add /nologo at the end of the command line

4. Press [Enter] to return to Program Manager

To set EkBackup association in File Manager in MS Windows 3.1X:

1. Start File Manager

2. Select Associate... in the File  menu

3. Type ZIP in the "Files with Extantion:" field

4. Press the [Browse...] button

5. Change to the EkBackup directory, select the EKBACKUP.EXE file and press the OK button

6. Press OK to return to File Manager


General info
General info:

In DOS shells all programs can be interrupted by pressing [Ctrl-C]

PKZIP is chosen as backup program because PKZIP, at the time being, is the best available compression utility, has the best security and is the most advanced.

Please be aware that I (Einar Knardahl) have programmed EkBackup only. The programs EkBackup is using in DOS shells are made by others.

Please note that the shareware version of EkBackup 3.12 can be freely copied as long as it is not modified in any way.


How to register
How to register:                           How to register from Norway

If you think this program has made your life easier, and you have used this program for more than 30 days, you have to register. The register fee is NOK (Norwegian kroner) 160 (approx. USD 25) per licence. If you have paid a shareware vendor or any other persons or companies to get this program, you have only paid the vendor (the diskette, handle and postage). I receive nothing of this. If you are going to buy several licences check out my site licence prices.

How to pay

1. Cash, the easiest, cheapest and fastest. You send only the fee calculated in the Registration Windows in EkBackup. (Money order is NOT cash.)

2. Credit card. I accept VISA, MasterCard, EuroCard and American Express

3. Cheque, expensive and inconvenient for me. In Norway I have to pay up to USD 10 to cash an American Express cheque, and it is nearly impossible for me to cash a cheque from, e.g. a local bank in UK or US. Anyhow, if you really are unable to send cash or to use a credit card, NOK 50 (approx. USD 8) is added (automaticly) to the note. Please be aware that it can take some days to cash out the cheque and ship the product. In other words, no cheques less than USD 35. Eurocheques are accepted in NOK only! Other cheques should be either in NOK or USD.

To register just select Print registration form from the Help, fill it out and send it together with the payment to the address below:

EkBackup

v/ Einar Knardahl

Skriverveien 35

N-2200 KONGSVINGER

Norway

When I have received your registration form together with a cashable payment, I will as soon as possible send you the most recent full-working version of this program without irritating flashing bars and delay screens.

Please notify me of suggested improvements of future releases. Even not Microsoft's and IBM's software are free of bugs so.....

If you find anything which could be improved, please let me know.

It's only 25 bucks!

How to register from Norway


Credit Card
Credit Card:

I can at time beeing accept VISA, MasterCard, EuroCard and American Express. To use this form of payment, just complete the registration screen within EkBackup, and send the outprint to me.


Site prices
Site prices:

This is my current site prices:

<= 4  licences: NOK 160, approx. USD 25

>= 5  licences: NOK 140, approx. USD 22

>= 10 licences: NOK 120, approx. USD 19

>= 25 licences: NOK 100, approx. USD 15.5

>= 50 licences: NOK 80, approx. USD 12.5

>= 100 licences: NOK 60, approx. USD  9.5

>= 500 licences: NOK 30, approx. USD 4.5

The approx. prices in USD is calculated using USD to NOK exchange rate = 6.4

This is automatic calculated in the EkBackup registration screen.


How to register (Norway)
How to register (Norway only):

Hvis du synes dette programmet har gjort livet ditt lettere, og du har brukt programmet i mer enn 30 dager, må du registrere deg som bruker av programmet. Registrerings-beløpet er for tiden 160 NOK per lisens (KJEMPEBILLIG!!!).  Hvis du har betalt en shareware forhandler/leverandør eller en annen person eller firma for dette programmet, har du kun betalt forhandleren for disketten og ekspedisjonskostnadene. Jeg ser aldri noe til disse pengene. Hvis du skal kjäpe flere lisenser, sjekk ut  multi-lisens prisene.

Betalingsformer

1. Den enkleste og billigste måten er å sende kontanter. I så  fall kan det rundes ned til NOK 150. (NB! KUN VED KONTANT BETALING) Direkte utbetalingskort er også mulig. (Disse bestillingene blir ekspedert først.)

2. Jeg kan nå også ta imot betaling med VISA, MasterCard, EuroCard og American Express. Bare fyll inn informasjonen i registreringsdelen i EkBackup, print den ut og send den til meg. (Pass på å undertegne på både kredittkortsignaturfeltet og på selve bestillingen.

3. Hvis du sender en sjekk, send den krysset i mitt navn og tilføy kr 10 som jeg må ut med i gebyr for å løse den ut.

Alle sjekker, utbetalingskort o.l. må utstedes til Einar Knardahl.

For å registrere, velg Print registration form fra Help menyen, fyll den ut og send den sammen med betalingen til adressen under:

EkBackup

v/ Einar Knardahl

Skriverveien 35

N-2200 KONGSVINGER

Norway

Når registrerings-ordren er mottatt, vill jeg så snart som mulig sende deg den nyeste versjonen av programmet uten begrensninger, irriterende blinkende tittellinjer og venteskjermer.

Vennligst tips meg om eventuelle mulige forbedringer til senere utgaver. Ikke engang Microsoft's og IBM's software er helt bug frie så........... hvis du finner noe som kunne vert forbedret, vennligst la meg få vite.


Priser på flere lisenser
Priser på flere lisenser:

Dette er mine multilisens priser:

<= 4  licences: NOK 160

>= 5  licences: NOK 140

>= 10 licences: NOK 120

>= 25 licences: NOK 100

>= 50 licences: NOK 80

>= 100 licences: NOK 60

>= 500 licences: NOK 30

This is automatic calculated in the EkBackup registration screen.


Disclaimers
Disclaimers:

Statement of Exclusion of Warranty

ALL PRODUCTS DELIVERED PURSUANT TO THIS AGREEMENT ARE DELIVERED ON AN "AS-IS" BASIS AND THE AUTHOR, ITS DEALERS AND DISTRIBUTORS, EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES OR CONDITIONS OF MERCHANTABLE QUALITY OR FITNESS FOR A PARTICULAR PURPOSE.

Limitation of Liability

THE AUTHOR DISCLAIMS ALL WARRANTIES RELATING TO THIS SOFTWARE, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ALL SUCH WARRANTIES ARE EXPRESSLY AND SPECIFICALLY DISCLAIMED. NEITHER THE AUTHOR NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, SPECIAL, PUNITIVE, OR INCIDENTAL DAMAGES OR DAMAGES DUE TO LOST PROFITS, DATA, OR INFORMATION ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS.  IN NO EVENT SHALL THE AUTHOR'S LIABILITY FOR ANY DAMAGES EVER EXCEED THE PRICE PAID FOR THE LICENSE TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF CLAIM. THE PERSON USING THE SOFTWARE BEARS ALL RISKS AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. THE PROGRAM WARRANTY IS VOID IN CASE OF NUCLEAR WAR, WHETHER CAUSED BY THE PROGRAM OR NOT. EINAR KNARDAHL (REFERRED TO AS "THE AUTHOR"), RESERVE THE RIGHT TO NOT TO DEVELOP ANY FUTURE VERSIONS OF EKBACKUP. THE AUTHOR WILL TRY TO MAKE A GOOD ATTEMPT AT CORRECTING ANY PROBLEMS IF ANY ARE DISCOVERED, BUT ARE IN NO WAY REQUIRED, NOR BOUND TO CORRECT THEM.


About the author
About the author:

I'm 21 years old, and live at Kongsberg, Norway. My interests are computers, electronics,

music... (I'm playing the piano/synthesizer.) I have a craft certificate in radio and TV service,

and this year I'm finishing my first year at Buskerud College, Institute of electronics and

control engineering.

If you have any questions, you may contact me at my Internet address:

ekbackup@bigblue.no.

Einar Knardahl, Kongsberg Novenber -95.

NB! My official post address is still:

EkBackup

v/ Einar Knardahl

Skriverveien 35

N-2200 Kongsvinger

Norway


Future releases
Where can you find future releases of EkBackup?

Internet:

Check first the EkBackup homepage at:

http://www.pvv.ntnu.no/~gustavf/ekbackup

If you are using ftp you may try:

ftp.unit.no	/pub/windows/util

You may also find EkBackup at these sites:

ftp.ccu.edu.tw	/pub/msdos/windows/util

ftp.cdrom.com	/.2/simtel/win3/archiver

/.5/cica/util

ftp.edu.tw	/PC/windows/util

ftp.stack.urc.tue.nl	/pub/win3/archiver

ftp.tu-dresden.de	/ftpext2/WIN3/util

ftp.usp.br	/pub/pc/win3/util

mrcnext.cso.uiuc.edu	/pub/win3/util

rigel.acs.oakland.edu	/pub3/win3/archiver

and cica mirrors around the world.

Since all new versions of EkBackup start with EKBXXX.EXE you may for instance try to search for EKB31.EXE (this version). You will find the file at several locations.

Norway:

PC World Online:

+47 22173070 (multiple lines)


How to configure
How to configure:

Before you can use EkBackup, you have to configure it.

1. Select configuration from the File menu.

2. Select location of the listed programs.

Note that pressing the ">>" button transfers the current path to the box.

3. Select Compression ratio. Extra is the slowest, but the one with best compression ratio.

4. Ticking the Use full-screen box makes the dos programs run in a full dos screen.

Unticking it (default) makes the dos programs run in a window.

! On slow computers you should tick the box to get faster screen update!

5. If you wish to have a help bar at the button at the main screen, tick the Show help line box.

6. Press the File viewers button to select file viewers.

Select the programs you wish to be the default viewers for each file-type.

Press the OK button to return to the Configuration screen.

7. Press the Editor button to configure the editor.

Choose between the internal and an external editor.

Press the OK button to return to the Configuration screen.

8. Back in the configuration window press the Save and exit button to save the changes and to exit configuration.


How to backup
How to backup:

To Backup whole directories (with or without subdirectories).

1. Select Backup in the Operation menu.

2. Select the main directory where the files are placed.

3. Select which files to backup. (*.* will backup all files.)

4. Select the destination directory for the archive file.

(If you are going to back up to a floppy select drive a:)

5. Enter a name for the archive file, ending on ".ZIP".

You can also add the files to an existing archive by selecting one.

6. To also backup subdirectories tick the Recurse subdirectories box.

If you tick the Store pathnames box (default), the directory information is added.

In other words, the Store pathnames box has to be ticked if you want to restore the files, with/to its original subdirectories.

7. If the Update archive box is ticked, only new or newer files are added to the archive.

For updating an archive, this option makes it go much faster.

8. Press the Execute button to start the backup process.

How to Backup selected files.

1. Select Backup in the Operation menu.

2. Tick the Multiple files box.

3. Select the main directory where the files are placed.

4. Select the files you want to backup.

You can also select files from additional directories by pressing the More files button.

5. Select the destination directory for the archive file.

(If you are going to back up to a floppy select drive a:)

6. Enter a name for the archive file, ending on ".ZIP".

You can also add the files to an existing archive by selecting one.

7. If the Update archive box is ticked, only new or newer files are recompressed.

For updating an archive, this option makes it go much faster.

8. If the Recurse subdirectories box is ticked, files with the same file-criteria in lower subdirectories are also added.

9. If the Store pathnames box is ticked, directory information is also added.

(Needed for Restoring with/to original subdirectories.)

In other words, the Store pathnames box has to be ticked if you want to restore the files, with/to its original subdirectories.

10. Press the Execute button to start the backup process.


How to restore an archive
How to restore an archive:

1. Select Restore + ZIP/LZH/ARJ in the Operation menu, depending on the archive format to restore. (The standard format is ZIP.)

2. Select the source directory where the archive file is placed.

3. Select the archive file to be restored.

4. Select destination directory for the restored files.

5. If you want possible subdirectories in the archive to be restored to its original subdirectories, tick the To original subdirectories box (default).

6. Tick the Only newer files box to restore newer or none-existing files only.

7. Press the Execute button to start the restoring process.


The Multiple files option
The Multiple files option:

Ticking the Multiple files option, makes it possible to select specific files in the directory by just clicking on them. It also gives access to the More files button.

When using the Multiple files option the Store parhnames and the Recurse subdirectories options are by default off.

The More files button


The More files button
The More files option:

Pressing the More files button, you can select more files spread around the disk in addition to the files already selected. It is also possible to save the file-list for future backups.

See also Special examples and range of uses.


Self extracting ZIP-file
How to make a self extracting ZIP-file (EXE):

If you want to make an EXE file out of a ZIP file, do the following:

1. Select ZIP <=> EXE in the Operation menu.

2. Tick the ZIP => EXE option.

3. Select the source file to be converted to an EXE file.

4. Select the location of the new EXE file and give it an .EXE filename.

5. Click the Make EXE button to start the process.

If you want to make a ZIP file out of an EXE file, do the following:

1. Select ZIP <=> EXE in the Operation menu.

2. Tick the EXE => ZIP option.

3. Select the source file to be converted to a ZIP file.

4. Select the location of the new ZIP file and give it a .ZIP filename.

5. Click the Make ZIP button to start the process.


About EKBDEXIN.EXE
About EKBDEXIN.EXE: (EkBackup Dos Execution Interface)

Every time EkBackup invokes a DOS shell the program EKBDEXIN.EXE is run. EKBDEXIN.EXE is used for redirection and for getting errorlevels from the DOS application.

This might seem as two simple tasks, but turns out to be more difficult than it seems. In DOS programming languages the execute command normally return the errorlevel given be the invoked program. Under Windows there is no such communication between Windows and DOS applications. Running a command like DEBUG < SCRIPT.ASC from Windows or with the execute command in a DOS programming language is impossible. The redirection is done by your commandinterpreter (COMMAND.COM), not by DOS.

EKBDEXIN.EXE solves these problems by writing the errolevel to a file, and doing the redirection itself, instead of using COMMAND.COM. The errorlevel can be read into the Windows application simply by reading the errorlevel from the file. In EkBackup the errorlevel function is used every time you start a compress or decompress operation, and the redirection function is used when you create or update a ZIP file to get a multi line ZIP file comment.

The source code and command line syntax is available from the author of EKBDEXIN.EXE, Gustav Foseid.

Order EKBDEXIN.EXE


Order EKBDEXIN.EXE
How to register EKBDEXIN.EXE:

The C++ source code for EKBDEXIN.EXE (approx. 150 lines) is available for US$ 20 from

Gustav Foseid

Aarnes

N-2263  BRANDVAL

Norway

Send the money (cash only) together with this form to the above address. A registration entitles you to use EKBDEXIN.EXE in your own projects, as long as the copyright notice not is removed.

It is not necessary to register EkBackup to register EKBDEXIN.EXE and vice versa.

Name:__________________________________

Address:________________________________

Address:________________________________

Address:________________________________

Country:_______________________________


ZIP-doctor
How to use the ZIP-doctor:

The ZIP-doctor is used for correcting/fixing corrupted and destroyed ZIP files.

If you are fixing a diskette, check the disk first for physical errors, with a disk recovery utility, such as Norton Diskdoctor or Scandisk (MS DOS).

To test/fix a ZIP file do the following:

1. Select the ZIPdoctor menuitem in the Operation menu.

2. Select the ZIP file you wish to test/fix.

3. Select the destination path, and filename for the fixed file.

4. Click Test file to test the file for errors only, or click Fix file to fix the file.

A new file will then be created. The original file will not be tampered.


Bug report
Bug report:

1. Using the "To multiple disks" option in EkBackup 3.1X, makes the DOS window hang when the first disk has finished. This is caused by a bug in PKZIP.EXE. PKZIP.EXE will hang at this point if the "Add ZIP comment" (-z) option is used together with the "to multiple disks" (-&) option in PKZIP.EXE 2.04g.

This version of EkBackup will not allow this to happen.

2. The "Scramble with password" (-s) function in PKZIP.EXE 2.04g causes the "Store pathnames" (-p) function not to work. This makes the "Store pathnames" option in EkBackup not to work when using the password function. In other words, you will not be able to restore the files to their original subdirectories. All the files will be placed in one directory. To avoid this problem, do not use the password function in EkBackup if the "Store pathnames" option is used.

3. In my version of PKZIP 2.04g the Temporary file option does not work. It may work in a later version of PKZIP.

All these bugs are caused by PKZIP.EXE 2.04g

See also:

Limitations of EkBackup


Examples
Special examples and range of uses:

To make a backup of all INI, DOC and TXT files on the disk.

1.  Tick the multiple files option.

2.  Click the More files button to enter the More files window.

3.  Enter c:\*.ini in the textbox and press the Add button.

4.  Enter c:\*.doc in the textbox and press the Add button.

5.  Enter c:\*.txt in the textbox and press the Add button.

6.  There should now be a list of three file criteria in the listbox.

7.  Press the OK button to return to the main screen.

8.  Tick the Recurse subdirectories option to also scan subdirectories.

9.  Tick the Store pathnames option to store the directory information.

10. Select the destination directory for the ZIP file, and give it a .ZIP filename.

11. Click the Execute button to start the backup process.

To make a backup of all INI, DOC and TXT in the directory c:\copy and below.

1.  Tick the multiple files option.

2.  Click the More files button to enter the More files window.

3.  Enter c:\copy\*.ini in the textbox and press the Add button.

4.  Enter c:\copy\*.doc in the textbox and press the Add button.

5.  Enter c:\copy\*.txt in the textbox and press the Add button.

6.  There should now be a list of three file criteria in the listbox.

7.  Press the OK button to return to the main screen.

8.  Tick the Recurse subdirectories option to also scan subdirectories.

9.  Tick the Store pathnames option to store the directory information.

10. Select the destination directory for the ZIP file, and give it a .ZIP filename.

11. Click the Execute button to start the backup process.

To save diskspace:

To save diskspace, I have compressed all my LARGE WAV, MOD and sound/music files into a single ZIP-file. To listen to the files, I enter EkBackup Filemanager and double-click on the ZIP-file. Then, I get an overview of the ZIP file. By a double-click on the file I wish to listen to, the View file-window appears, suggesting the player I am using. (Configured in the EkBackup configuration.) By pressing Return or the View button, the player loads and plays the music-file.

To look through ZIP-files:

When I'm looking through a lot of ZIP-files, I use EkBackup File manager. By a double-click on the ZIP-file I wish to examine, I get an overview of the archive. By a double-click I can easily read documents, readme-files and even run simple EXE and COM-programs without having to decompress them and delete them afterwards.

To check out downloaded files:

When I have downloaded many ZIP files and wish to try them out easy, I simply check the Make directory and the Create program icon option. EkBackup will then unzip the files to their own separate directories, and create icons in Program Manager.


Limitations of EkBackup
Limitations of EkBackup:

Too many files in ZIP-archive/Not enough memory

Path too long


Limitations of EkBackup
Limitations of EkBackup:

Path too long

EkBackup sends its commands to DOS via EKBDEXIN.EXE to bypass some MSDOS/Windows limitations. However, EkBackup and EKBDEXIN.EXE cannot do anything about the 125 character limit of commands in MSDOS. So....If pkzip.exe it placed at c:.exe and EkBackup is placed at c:, the path will be very long.

To reduce the path, place your compression programs and EkBackup in as short paths as possible for instance: I have all my compression programs (e.g. pkzip.exe and arj.exe in my c:directory. I have my version of EkBackup in c:. With this short path EkBackup can transfer long and complex commandoes to MSDOS.

I hardly EVER get this error, but you should be aware of it.

EkBackup reports this error as EKBDEXIN.EXE not found.


Too many files in ZIP-archive/Not enough memory
Limitations of EkBackup:

Too many files in ZIP-archive/Not enough memory

How many files can be in a .ZIP file?

A .ZIP file may contain a maximum of 16,383 file entries under MS-DOS.  Due to memory limitations this limit cannot actually be realized.  Under the current memory scheme of DOS the largest number of files which may be in a .ZIP file is approximately 9000 files.

The maximum number of files you can handle with a .ZIP file operation can be calculated by the following formulas:

With No EMS or UMB's available:

(Free Conventional RAM - 375k) / 64 bytes = Maximum # of Files

example: (630000 bytes -375000 bytes)/64 bytes = Maximum 3984 files

With EMS available:

(Free Conventional RAM - 85k) / 64 bytes = Maximum # of Files

example: (630000 bytes -85000 bytes)/64 bytes = Maximum 8515 files

The "Super Fast" algorithm uses 32k less RAM than the other methods in PKZIP.

You will be able to compress an additional 500 files when using the "Super Fast" method.

-Note that the value of 64 bytes per file is approximate and may vary.

-When a .ZIP file is being updated, you must not only take into account the files being added, but allow 70 bytes per file in the original .ZIP file.

Taken from PKZIP's MANUAL.DOC Copyright 1989-1993 PKWARE Inc.


How to speed up EkBackup
How to speed up EkBackup:

Define temporary directory

During compression, PKZIP uses a temporary file.  As each file is added to the .ZIP file it is first compressed into this temporary file and then appended to the .ZIP file.

By default this temporary file is created in the current directory.

You may have this temporary file created in a different directory by setting the environment variable PKTMP.  Set this equal to the drive you wish to use as your temporary file location.

For optimal performance on your local harddrive, the PKTMP could be set equal to a RAM drive if a large enough one is available.  The temporary file location must have enough free space to hold the largest file in it's compressed state.

For optimal performance when creating a .ZIP file on a Novell Netware volume, set the PKTMP equal to any drive on the same server.  This will achieve the best performance, and is superior to using the local hard drive or the RAM drive.

From command prompt:

  C:\>set pktmp=z:\

In AUTOEXEC.BAT add the following line:

   set pktmp=z:\

Partly taken from PKZIP's MANUAL.DOC Copyright 1989-1993 PKWARE Inc.